Bug 1606880

Summary: lcgdm: FTBFS in Fedora rawhide
Product: [Fedora] Fedora Reporter: Mohan Boddu <mboddu>
Component: lcgdmAssignee: Ricardo Rocha <rocha.porto>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: adev88, andrea.manzi, mattias.ellert, rocha.porto, steve.traylen
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: lcgdm-1.10.0-14.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-01-13 02:30:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1585626, 1602938    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Mohan Boddu 2018-07-20 22:04:24 UTC
lcgdm failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28449580


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix lcgdm at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
lcgdm will be orphaned. Before branching of Fedora 30,
lcgdm will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 22:04:33 UTC
Created attachment 1469504 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-20 22:04:40 UTC
Created attachment 1469505 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 22:04:47 UTC
Created attachment 1469506 [details]
state.log

Comment 4 Igor Gnatenko 2018-07-23 11:03:09 UTC
Matches:
make[2]: g++: Command not found

Suggested fix:
BuildRequires:  gcc-c++

Comment 5 Mattias Ellert 2018-08-12 07:40:44 UTC
https://src.fedoraproject.org/rpms/lcgdm/pull-request/2 fixes this issue.

Comment 6 Jan Kurik 2018-08-14 08:44:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 7 Fedora Update System 2019-01-04 11:26:53 UTC
lcgdm-1.10.0-14.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8951f681e6

Comment 8 Fedora Update System 2019-01-05 18:51:43 UTC
lcgdm-1.10.0-14.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8951f681e6

Comment 9 Fedora Update System 2019-01-13 02:30:51 UTC
lcgdm-1.10.0-14.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.